<?php
    /**
     * @version	$Id: redirectreg.php 21766 2011-07-08 12:20:23Z eddieajau $
     * @copyright	Copyright (C) 2012 LBSaud. All rights reserved.
     * @license	GNU General Public License version 2 or later; see LICENSE.txt
     */

    defined('JPATH_BASE') or die;

    jimport('joomla.plugin.plugin');

    /**
     * Plugin class for Redirecting Default Joomla Registration to Jomsocial Registration.
     *
     * @package	Joomla.Plugin
     * @subpackage	System.redirectreg
     */
    class plgSystemRedirectreg extends JPlugin
    {
            /**
             * Object Constructor.
             *
             * @access	public
             * @param	object	The object to observe -- event dispatcher.
             * @param	object	The configuration object for the plugin.
             * @return	void
             * @since	1.5
             */
            function __construct(&$subject, $config)
            {
                    parent::__construct($subject, $config);
            }

            /**
             * This method handles redirection of default joomla registration to 
             * Jomsocial Registration
             * @param	array	$app		Gets application data.
             * @param	array	$options	Array holding options (client, ...).
             *
             * @return	object	True on success
             * @since	1.5
             */
            function onAfterRoute()
            {
                    $option = JRequest::getCmd('option');
                    $view = JRequest::getCmd('view');
                    $redirect_login	= $this->params->def('redirect_login', 0);
					$itemid = $this->params->def('itemid', '');
					$itemid = is_numeric($itemid)?'&Itemid=' . $itemid:'';
                    
                    // Get the application object.
                    $app = JFactory::getApplication();
                    
                    // Make sure the page is joomla core registration page, registration is allowed and we are in the frontend.
                    if ($option=='com_users' && $view=='registration' && $app->isSite()) {
                        // Redirect to the jomsocial registration page
						$link = JRoute::_('index.php?option=com_community&view=register' . $itemid);
                        $app->redirect($link, null, true, false);
                    }
					
					// Redirect User to Jomsocial Login Page if redirect login set to yes.
					if($redirect_login && $option=='com_users' && $view=='login' && $app->isSite()) {
                        // Redirect to the jomsocial registration page
						$link = JRoute::_('index.php?option=com_community&view=frontpage' . $itemid);
                        $app->redirect($link, null, true, false);
					}
            }
    }
